Attachments - Get Test Sub Result Attachments
Get list of test sub result attachments
GET https://dev.azure.com/{organization}/{project}/_apis/test/Runs/{runId}/Results/{testCaseResultId}/attachments?testSubResultId={testSubResultId}&api-version=5.1-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
run
|
path | True |
integer (int32) |
ID of the test run that contains the result. |
|
test
|
path | True |
integer (int32) |
ID of the test results that contains sub result. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '5.1-preview.1' to use this version of the api. |
|
test
|
query | True |
integer (int32) |
ID of the test sub result whose attachment has to be downloaded |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.test | Grants the ability to read test plans, cases, results and other test management related artifacts. |
Definitions
| Name | Description |
|---|---|
|
Attachment |
|
|
Test |
AttachmentType
| Value | Description |
|---|---|
| generalAttachment |
Attachment type GeneralAttachment , use this as default type unless you have other type. |
| codeCoverage |
Attachment type CodeCoverage. |
| consoleLog |
Attachment type ConsoleLog. |
TestAttachment
| Name | Type | Description |
|---|---|---|
| attachmentType |
Attachment type. |
|
| comment |
string |
Comment associated with attachment. |
| createdDate |
string (date-time) |
Attachment created date. |
| fileName |
string |
Attachment file name |
| id |
integer (int32) |
ID of the attachment. |
| size |
integer (int64) |
Attachment size. |
| url |
string |
Attachment Url. |